#include <stdio.h>
#include <getopt.h>
//#include "funktiot.h"

void instructions(void);

int main(int argc, char *argv[]) {

	int next_option;

/*	int i;
	
	for(i=0; i<argc; ++i) {
	
	printf("%s\n", argv[i]);
	}
	
	printf("\n");
*/

	const char* const short_options = "hva:p:f:d:x:sm:";
	const struct option long_options[] = {
	{ "help",	0,	NULL,	'h' },
	{ "verbose",	0,	NULL,	'v' },
	{ "add",	1,	NULL,	'a' },
	{ "priority",	1,	NULL,	'p' },
	{ "file",	1,	NULL,	'f' },
	{ "delete",	1,	NULL,	'd' },
	{ "done",	1,	NULL,	'x' },
	{ "sort",	0,	NULL,	's' },
	{ "move",	1,	NULL,	'm' },
	{ NULL,	 	0,	NULL,	0  }
};	

	do { 
	next_option = getopt_long (argc, argv, short_options, long_options, NULL);

		switch (next_option)
		{
		case 'h':
		instructions();
		break;	

		case 'v':
		printf("verbose");
		break;	

		case 'a':
		printf("add");
		break;	
	
		case 'p':
		printf("priority");
		break;	
	
		case 'f':
		printf("file");
		break;	
	
		case 'd':
		printf("delete");
		break;
	
		case 'x':
		printf("done");
		break;	
	
		case 'm':
		printf("move");	
		break;
	
		case '?':
		printf("Tulleet parametrit o IHA perseesta!");
		break;

		case -1: /* Done with options. */
		break;
	
		default: /* Something else: unexpected. */
		abort ();
		}			

	} 
	while (next_option != -1); 
	
		

	return 0;	
}
	

void instructions(void) {

printf("\n [(-f|--file) filename] [(-v|--verbose)]\n");
printf("  [\n");
printf("   ( (-a|--add) description [(-p|--priority) priority ] )|\n");
printf("   ( ( -d|--delete)|(-x|--done) id  )|\n");
printf("   ( (-m|--move) [filename] )|\n");
printf("   ( [(-s|--sort)] )|\n");
printf("   ( [(-h|--help)] )|\n");
printf("  ]\n");
printf("\n");
printf("      Short form  Long form       Function\n");
printf("      ----------  ---------       --------\n");
printf("      -h          --help          Print out a help descriptive help text\n");
printf("                                  including name of script, its purpose,\n");
printf("                                  command line usage instructions and\n");
printf("                                  descriptive help of all arguments.\n");
printf("      -v          --verbose       Print out any appropriate debugging\n");
printf("                                  data.\n");
printf("      -a task     --add task      Add's a task \"task\" to a spesified file.\n");
printf("      -p pri      --priority pri  Specifies priority \"pri\" ( [0,1,2,3] ).\n");
printf("                                  Otherwise uses the default priority 0.\n");
printf("      -f file     --file file     Specifies the used task-file \"file\".\n");
printf("                                  If not specified,uses the default\n");
printf("                                  file (todo.txt).\n");
printf("      -d id       --delete id     Deletes the task with id \"id\".\n");
printf("      -x id       --done id       Marks the task with id \"id\" done.\n");
printf("      -s          --sort          Sorts the tasks by their priority in\n");
printf("                                  decreasing order.\n");
printf("      -m [file]   --move [file]   Moves the done tasks from the used\n");
printf("                                  task file to the end of \"file\" if specified\n");
printf("                                  else moves them to the end of the default file\n");
printf("                                  (done.txt).\n\n");


}               

